22 votos

¿Unity requiere controladores de tarjetas gráficas propietarios?

Entendí que el escritorio Unity en Natty usa Compiz y, por lo tanto, requiere un controlador de tarjeta gráfica que admita efectos de composición. ¿Significa esto que si tengo una tarjeta ATI o NVIDIA me veo obligado a instalar un controlador propietario porque los controladores de código abierto para esas tarjetas no son compatibles con Compiz?

15voto

Joel Spolsky Puntos 22686

Creo que Unity requiere gráficos en 3D. Entonces, si hay un controlador abierto que puede hacer eso, no necesita controladores propietarios.



Mirando el estado de los controladores FLOSS nouveau, actualmente probablemente necesitará los controladores propietarios para NVIDIA, sin embargo, están trabajando en las características necesarias.

11voto

Joshua McKinnon Puntos 12379

Para las personas que usan hardware antiguo o tienen problemas con los controladores, la interfaz Unity 2D estará disponible en 11.04 (y en un PPA para 10.10)

4voto

Adam Haile Puntos 12576

Tengo una tarjeta ATI y Unity / Compiz funciona bien para mí con los controladores abiertos de forma natty, aunque estoy seguro de que eso depende del estado de los controladores de su tarjeta en particular. Si su tarjeta es compatible con compiz con los controladores abiertos, también debería ser compatible con la unidad.



Hay una lista (impresionantemente larga) de tarjetas ATI con aceleración 3D de código abierto en https://help.ubuntu.com/community/RadeonDriver

3voto

Net Citizen Puntos 1053

En Maverick puedo usar Nouveau para mi tarjeta gráfica Nvidia y tengo gráficos 3D; así que creo que en Natty puedes usar controladores de código abierto si quieres.

3voto

saniul Puntos 2595

El requisito para Unity es que el controlador de gráficos sea compatible con 3D.

Las tarjetas Nvidia necesitarían el controlador propietario ya que el controlador de código abierto no es compatible con 3D.

Tengo una computadora portátil con chipset Intel 945GM que tiene controladores abiertos para gráficos. También es compatible con 3D.

La respuesta es: Unity necesita soporte 3D. Si su tarjeta tiene un controlador FOSS compatible con 3D, entonces está bien; de lo contrario, debe instalar controladores propietarios

EnMiMaquinaFunciona.com

EnMiMaquinaFunciona es una comunidad de administradores de sistemas en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros sysadmin, hacer tus propias preguntas o resolver las de los demás.

Powered by: